:root, [data-bs-theme=light] {
    --ct-body-bg: #f4f5f7;
    --ct-border-radius: 0.5rem !important;
    --ct-primary-rgb: 249, 92, 4 !important;
    --ct-lp-gray: #6d6e71;
    --ct-box-shadow: 0px 0px 35px 0px rgba(154, 161, 171, 0.35);
    --ct-secondary-color: #6d6e71 !important;
    --ct-logo-lg-height: 65px;
    --ct-menu-condensed-link-bg: #f95c04;
    --ct-noti-icon-badge: #ff5b5b;
    --ct-primary: #f95c04;
    --ct-logo-sm-height: 50px;
    --ct-link-color-rgb: 249, 92, 4;
    --ct_border_bottom_dotted: 0.3pt #000 dotted;
    --ct-leftbar-condensed-height: 960px;
    --ct-custom-datable-bg: #fff;
}

html[data-menu-color=light] {
    --ct-menu-bg: #ffffff;
    --ct-menu-item-color: #6c757d;
    --ct-menu-item-hover-color: #f95c04;
    --ct-menu-item-active-color: #f95c04;
    --ct-help-box-bg: #f95c04;
    --ct-box-shadow: 0px 0px 2px 0px #bfcddc;
    --ct-primary: #f95c04;
    --ct-border-color: #bfcddc;
}

html[data-menu-color=brand] {
    --ct-menu-bg: #f95c04;
    --ct-menu-item-color: #e4e4e4;
    --ct-box-shadow: 0px 0px 5px 0px rgba(154, 161, 171, 0.35);
    --ct-primary: #f95c04;
}

html[data-topbar-color=brand] {
    --ct-topbar-bg: #f95c04;
    --ct-noti-icon-badge: #00ff70;
}

html[data-layout-mode=detached]:not([data-layout=topnav]) .wrapper .navbar-custom .topbar {
    max-width: 97%;
}

[data-bs-theme=dark] {
    --ct-body-bg: #060607;
    --ct-heading-color: #fbfbfb;
    --ct-secondary-color: #b1b1b1 !important;
    --ct-noti-icon-badge: #ff5b5b;
    --ct-box-shadow: 0px 0px 5px 0px rgba(154, 161, 171, 0.35);
    --ct-primary: #f95c04;
    --ct_border_bottom_dotted: 0.3pt #fff dotted;
    --ct-menu-bg: #3a444e;
    --ct-card-bg: #3a444e;
    --ct-custom-datable-bg: #37404a;
}

.select2-container .select2-selection--single {
    background-color: var(--ct-input-bg) !important;
}

#scicon {
    color: var(--ct-primary);
}

#Phone_Number_Code {
    background-color: transparent !important;
    border: none !important;
}

    #Phone_Number_Code.disabled {
        color: unset !important;
    }

.was-validated .form-control:valid:focus {
    border-color: var(--ct-border-color) !important;
}

.dropdown-item.prepend {
    text-align: center;
}

.dropdown-menu.show {
    min-width: 5.8rem !important;
}

html[data-bs-theme=dark][data-menu-color=dark], html[data-bs-theme=light][data-menu-color=dark], html[data-bs-theme=dark][data-menu-color=light] {
    --ct-menu-item-color: #cccccc !important;
    --ct-menu-item-hover-color: #ededed !important;
}

input[data-switch] + label {
    vertical-align: middle;
}

.form-label.switch-form-label {
    margin-bottom: 0.4rem;
    padding-top: 0.4rem;
}

.btn {
    --ct-btn-border-radius: 0.5rem !important;
    --ct-btn-font-size: 1.05rem;
    --ct-btn-focus-box-shadow: 0 0 0 0.15rem #FF5722;
}

.btn-group-sm > .btn, .btn-sm {
    --ct-btn-font-size: 0.875rem !important;
}

.btn-primary {
    --ct-btn-color: #fff;
    --ct-btn-bg: #f95c04;
    --ct-btn-border-color: #f95c04;
    --ct-btn-hover-color: #fff;
    --ct-btn-hover-bg: #e16722;
    --ct-btn-hover-border-color: #e16722;
    --ct-btn-focus-shadow-rgb: 109, 131, 234;
    --ct-btn-active-color: #fff;
    --ct-btn-active-bg: #e16722;
    --ct-btn-active-border-color: #e16722;
    --ct-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --ct-btn-disabled-color: #fff;
    --ct-btn-disabled-bg: #f95c04;
    --ct-btn-disabled-border-color: #f95c04;
}

#status {
    width: 120px;
    height: 120px;
    margin: -60px 0 0 -60px;
}

.bouncing-loader > div {
    width: 26px;
    height: 26px;
    margin: 32px 7px;
}

    .bouncing-loader > div:nth-child(2) {
        background: #6d6e71;
    }

    .bouncing-loader > div:nth-child(3) {
        background: var(--ct-primary);
    }

.LP-Gray {
    color: #6d6e71;
}

.form-check-input:checked {
    background-color: #f95c04;
    border-color: #f95c04;
}

.form-control.is-valid, .was-validated .form-control:valid {
    border-color: var(--ct-border-color);
    padding-right: 0;
    background-image: none;
}

.form-control.input-validation-error, .form-control.input-validation-error + .select2 > .selection > .select2-selection {
    border-color: red !important;
}

.logo-bg {
    background-color: #ffffff;
    padding: 4pt;
    border-radius: 0.5rem;
}

.logo .logo-bg:hover {
    border: solid #f95c04;
}

.login.logo-bg:hover {
    border: solid #6d6e71;
}


.pagination {
    --ct-pagination-active-bg: #f95c04;
    --ct-pagination-active-border-color: #f95c04;
}

.border-radius-right-none {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

table.dataTable > tbody > tr.child ul.dtr-details {
    width: 100%;
}

.modal-footer {
    border-top: none;
}

.modal {
    --ct-modal-width: 600px;
}

.notification-list .noti-icon-badge {
    height: 9px;
    width: 9px;
    background-color: var(--ct-noti-icon-badge);
}

html[data-layout-mode=detached]:not([data-layout=topnav]) .wrapper .leftside-menu {
    border-radius: .5rem;
}

/*input[data-switch=primary] + label {
    width: 80px;
}*/

input[data-switch=primary]:checked + label {
    background-color: var(--ct-primary);
}

    input[data-switch=primary]:checked + label:after {
        background-color: var(--ct-tertiary-bg);
    }

.cursor-pointer {
    cursor: pointer;
}

.cursor-auto {
    cursor: auto;
}

.cursor-help {
    cursor: help;
}

.border-bottom-dotted {
    border-bottom: var(--ct_border_bottom_dotted);
}

.btn-group-vertical > .btn, .btn-group > .btn {
    font-size: .9rem !important;
}

.partner-ctrl {
    font-size: 1.5rem;
    color: var(--ct-primary);
}

.border-primary-solid {
    border-left: solid 1.3pt !important;
    color: var(--ct-primary);
    border-color: var(--ct-primary) !important;
}

.table > :not(caption) > * > * {
    padding: .5rem .5rem;
}

table.dataTable thead .sorting:before, table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_desc_disabled:before {
    top: 5px;
}

table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_desc_disabled:after {
    top: 12px;
}


/*table.dataTable tbody tr:hover, table.dataTable tbody tr .odd :hover {
    background-color: yellow !important;
}*/

.nav-tabs {
    --ct-nav-tabs-link-active-color: var(--ct-primary);
}

#preloader {
    background-color: #f6f7fb59;
}

.form-floating > .form-control, .form-floating > .form-control-plaintext, .form-floating > .form-select {
    height: calc(3rem + calc(var(--ct-border-width)* 2));
    min-height: calc(3rem + calc(var(--ct-border-width)* 2));
    line-height: 1.25;
}

.form-floating > .form-text-area {
    height: 5rem;
    min-height: 5rem;
}

.form-floating > .form-control-plaintext ~ label::after, .form-floating > .form-control:focus ~ label::after, .form-floating > .form-control:not(:placeholder-shown) ~ label::after, .form-floating > .form-select ~ label::after {
    height: 1.475em;
}

.form-floating > .form-control-plaintext ~ label, .form-floating > .form-control:focus ~ label, .form-floating > .form-control:not(:placeholder-shown) ~ label, .form-floating > .form-select ~ label {
    -webkit-transform: scale(.85) translateY(-.7rem) translateX(.15rem);
    transform: scale(.85) translateY(-.7rem) translateX(.15rem);
}

.select2-container .select2-selection--single {
    height: 50px !important;
}

    .select2-container .select2-selection--single .select2-selection__rendered {
        line-height: 65px !important;
    }

@media (max-width: 767.98px) {
    .index-fs-title {
        font-size: calc(1rem + 1.2vw);
    }

    .index-fs-footer {
        font-size: calc(.8rem + 1.2vw);
    }

    .footer {
        font-size: 85%;
    }

    .card {
        --ct-card-spacer-y: 1rem;
        --ct-card-spacer-x: 1rem;
    }

    li.paginate_button {
        display: inline-block !important;
    }

    /*        li.paginate_button.page-item.first, li.paginate_button.page-item.last {
            display: none !important;
        }
*/
    .pagination {
        --ct-pagination-padding-x: 0.5rem !important;
        --ct-pagination-font-size: 0.75rem !important;
    }
}

@media (min-width: 768px) {
    .show #status {
        left: 55%;
    }

    .show .sidebar-enable #status {
        left: 52.5%;
    }
}

@media (min-width: 1141px) {
    .show #status {
        left: 60%;
    }
}

@media (min-width: 1380px) {
    .pos-img {
        max-height: 200px;
        max-width: 200px;
    }
}

@media (min-width: 1600px) {
    .show #status {
        left: 56.5%;
    }

    .show .sidebar-enable #status {
        left: 55%;
    }
}


.error-step {
    position: relative;
}

    .error-step::after {
        content: "";
        position: absolute;
        top: 0px;
        right: -10px;
        width: 5px;
        height: 5px;
        background-color: #f95c04;
        border-radius: 50%;
    }


.tab-button.active {
    color: #fff !important;
}


.btn-card-details {
    padding: 6px 10px;
    font-size: 18px;
    line-height: 1;
    border-radius: 3px;
    margin-right: 3px;
}

.btn-filters {
    padding: 6px 6px;
    font-size: 12px;
    line-height: 1;
    border-radius: 3px;
    margin-right: 2px;
}

.btn-group > .btn-filters {
    border-radius: 3px !important
}

.page-title-box .page-title {
    height: 40px !important;
    line-height: 50px !important;
}

.page-title-box .page-title-right {
    margin-top: 10px !important;
}

.page-title-right {
    height: 40px !important;
}

html[data-bs-theme=light] table.dataTable thead tr > .dtfc-fixed-left, html[data-bs-theme=light] table.dataTable thead tr > .dtfc-fixed-right, html[data-bs-theme=light] table.dataTable tfoot tr > .dtfc-fixed-left, html[data-bs-theme=light] table.dataTable tfoot tr > .dtfc-fixed-right {
    background-color: var(--bs-body-bg) !important;
}

html[data-bs-theme=dark] table.dataTable thead tr > .dtfc-fixed-left, html[data-bs-theme=dark] table.dataTable thead tr > .dtfc-fixed-right, html[data-bs-theme=dark] table.dataTable tfoot tr > .dtfc-fixed-left, html[data-bs-theme=dark] table.dataTable tfoot tr > .dtfc-fixed-right {
    background-color: var(--ct-secondary-bg) !important;
}

table.dataTable tbody tr.even td, table.dataTable tbody tr.odd td {
    background-color: var(--ct-custom-datable-bg) !important;
}

.page-link:not(.disabled) {
    cursor: pointer !important;
}

.address-map-container {
    height: 250px;
    width: 100%;
}
